SystemOrganization addCategory: #ConfigurationOfGTPlaygroundCore!

Object subclass: #ConfigurationOfGTPlaygroundCore
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGTPlaygroundCore'!

!ConfigurationOfGTPlaygroundCore commentStamp: 'AndreiChis 10/29/2014 12:02' prior: 0!
Core configuration of GTPlayground for integrating with Pharo.

self loadDevelopment!

!ConfigurationOfGTPlaygroundCore class methodsFor: 'development support' stamp: 'AndreiChis 10/29/2014 11:42'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:42'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:42'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:42'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'metacello tool support' stamp: 'AndreiChis 10/29/2014 11:42'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:42'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:42'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:42'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:42'!
project

	^self new project! !

!ConfigurationOfGTPlaygroundCore class methodsFor: 'development support' stamp: 'AndreiChis 10/29/2014 11:42'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'baselines' stamp: 'AndreiChis 10/29/2014 11:57'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
	spec blessing: #'baseline'.
	spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
	
	spec package: 'GT-Playground' with: [
			spec requires: #('GTInspectorCore' ). ].
		
	spec project: 'GTInspectorCore' with: [
			spec
				className: #ConfigurationOfGTInspectorCore;
				versionString: #'development';
				repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
	
	spec group: 'default' with: #('GT-Playground' ) ].! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'baselines' stamp: 'AndreiChis 1/30/2015 17:26'!
baseline21: spec
	<version: '2.1-baseline'>

	spec for: #'common' do: [
	spec blessing: #'baseline'.
	spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
	
	spec package: 'GT-Playground' with: [
			spec requires: #('GTInspectorCore')].
	spec package: 'GT-Tests-Playground' with: [
			spec requires: #('GT-Playground')].
		
	spec project: 'GTInspectorCore' with: [
			spec
				className: #ConfigurationOfGTInspectorCore;
				versionString: #'development';
				repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
	
	spec group: 'default' with: #('GT-Playground' 'GT-Tests-Playground') ].! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:42'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'symbolic versions' stamp: 'JurajKubelka 7/13/2016 10:06'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.1-baseline'.

	spec for: #'pharo4.x' version: '2.1-baseline'.
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:42'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'symbolic versions' stamp: 'JurajKubelka 7/13/2016 10:06'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '3.12'.

	spec for: #'pharo3.x' version: '2.0.5'.

	spec for: #'pharo4.x' version: '2.1.5'.
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/5/2014 19:22'!
version200: spec
	<version: '2.0.0' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/29/2014 16:54'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.48'.
		spec project: 'GTInspectorCore' with: '2.0.0'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/13/2014 13:55'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.1'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/13/2014 13:54'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.49'.
		spec project: 'GTInspectorCore' with: '2.0.1'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/14/2014 11:48'!
version202: spec
	<version: '2.0.2' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.2'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/14/2014 11:48'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.49'.
		spec project: 'GTInspectorCore' with: '2.0.2'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/7/2014 14:00'!
version203: spec
	<version: '2.0.3' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.3'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/07/2014 13:48'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.52'.
		spec project: 'GTInspectorCore' with: '2.0.3'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/9/2014 12:11'!
version204: spec
	<version: '2.0.4' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.4'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/09/2014 12:08'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.52'.
		spec project: 'GTInspectorCore' with: '2.0.4'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/10/2014 14:02'!
version205: spec
	<version: '2.0.5' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.5'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/10/2014 13:38'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.53'.
		spec project: 'GTInspectorCore' with: '2.0.5'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/24/2014 10:52'!
version206: spec
	<version: '2.0.6' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.6'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/24/2014 10:50'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.53'.
		spec project: 'GTInspectorCore' with: '2.0.6'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/7/2015 17:26'!
version207: spec
	<version: '2.0.7' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.7'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/07/2015 17:25'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.54'.
		spec project: 'GTInspectorCore' with: '2.0.8'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/8/2015 21:43'!
version208: spec
	<version: '2.0.8' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.8'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/08/2015 21:43'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.56'.
		spec project: 'GTInspectorCore' with: '2.0.9'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/16/2015 19:13'!
version209: spec
	<version: '2.0.9' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.9'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/16/2015 19:12'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.59'.
		spec project: 'GTInspectorCore' with: '2.0.10'. ]
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/23/2016 15:53'!
version210: spec
	<version: '2.10' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.10'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/23/2016 15:53'.
		spec project: 'GTInspectorCore' with: '2.9'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-TudorGirba.119';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'EstebanLorenzano 10/1/2015 14:30'!
version2110: spec
	<version: '2.1.10' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'remove  hard dependency to theme icons (they will be remove, and also it was bad :) )'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '10/1/2015 14:30'.
		spec project: 'GTInspectorCore' with: '2.0.20'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-EstebanLorenzano.113';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 10/15/2015 16:32'!
version2111: spec
	<version: '2.1.11' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'bugfixes'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/15/2015 16:28'.
		spec project: 'GTInspectorCore' with: '2.0.22'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.115';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 4/11/2015 17:04'!
version211: spec
	<version: '2.1.1' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.1'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/11/2015 18:03'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.110'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.12'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 4/29/2015 11:12'!
version212: spec
	<version: '2.1.2' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.2'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/29/2015 11:12'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.110'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.13'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 5/5/2015 14:06'!
version213: spec
	<version: '2.1.3' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.3'.
		spec author: 'AndreiChis'.
		spec timestamp: '05/05/2015'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.110'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.14'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 5/15/2015 17:37'!
version214: spec
	<version: '2.1.4' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.4'.
		spec author: 'AndreiChis'.
		spec timestamp: '5/15/2015'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.110'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.15'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'CyrilFerlicot 6/14/2015 02:20'!
version215: spec
	<version: '2.1.5' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.5'.
		spec author: 'CyrilFerlicot'.
		spec timestamp: '6/14/2015'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-CyrilFerlicot.111'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.15'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 7/1/2015 14:23'!
version216: spec
	<version: '2.1.6' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.6'.
		spec author: 'AndreiChis'.
		spec timestamp: '7/1/2015'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-CyrilFerlicot.111'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.16'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 7/3/2015 13:56'!
version217: spec
	<version: '2.1.7' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.7'.
		spec author: 'AndreiChis'.
		spec timestamp: '7/3/2015'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-CyrilFerlicot.111'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.17'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 8/12/2015 15:29'!
version218: spec
	<version: '2.1.8' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.8'.
		spec author: 'AndreiChis'.
		spec timestamp: '8/12/2015'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.112'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.18'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 9/1/2015 11:33'!
version219: spec
	<version: '2.1.9' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.1.9'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/1/2015'.
		
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.112'.
		spec package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'.
		spec project: 'GTInspectorCore' with: '2.0.19'. ]
	
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/9/2015 14:32'!
version22: spec
	<version: '2.2' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Updated GTools: 
  - bug fixes
  - deprecated PluggableTextMorph
  - improved event recorder'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/9/2015 14:32'.
		spec project: 'GTInspectorCore' with: '2.1'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.116';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/25/2015 18:00'!
version231: spec
	<version: '2.3.1' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Changes in the use of #garbageCollect'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/25/2015 18:00'.
		spec project: 'GTInspectorCore' with: '2.2.1'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.117';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 12/4/2015 11:12'!
version232: spec
	<version: '2.3.2' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Update GTools: small fixes and improvements (issue 17184)'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/4/2015 11:12'.
		spec project: 'GTInspectorCore' with: '2.2.2'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.117';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 11/19/2015 20:58'!
version23: spec
	<version: '2.3' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Update GTools. 
 - bug fixes
 - improvements in the event recorder'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/19/2015 20:58'.
		spec project: 'GTInspectorCore' with: '2.2'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.117';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/7/2016 10:41'!
version24: spec
	<version: '2.4' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Load GTDebugger together with the extensions for SUnit and Bytecode.
Bugfixes (17190, 17206, 17336, 17337, 17225)'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/7/2016 10:41'.
		spec project: 'GTInspectorCore' with: '2.3'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.117';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/8/2016 19:27'!
version25: spec
	<version: '2.5' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'This version fixes problems in GTDebugger and updates  Rubric (issues: 17155, 17279, 17152)'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/8/2016 19:27'.
		spec project: 'GTInspectorCore' with: '2.4'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.117';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/10/2016 23:53'!
version26: spec
	<version: '2.6' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Fixes in the debugger, inspector and spotter.'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/10/2016 23:53'.
		spec project: 'GTInspectorCore' with: '2.5'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.117';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/15/2016 16:23'!
version27: spec
	<version: '2.7' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Bugfixes in Spotter and Glamour'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/15/2016 16:23'.
		spec project: 'GTInspectorCore' with: '2.6'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.118';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/15/2016 18:14'!
version28: spec
	<version: '2.8' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Bugfixes in inspector and debugger'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/15/2016 18:14'.
		spec project: 'GTInspectorCore' with: '2.7'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.118';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 1/18/2016 13:24'!
version29: spec
	<version: '2.9' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Bugfixes and improvements.'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/18/2016 13:24'.
		spec project: 'GTInspectorCore' with: '2.8'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.118';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 2/18/2016 14:21'!
version30: spec
	<version: '3.0' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools version 3.11'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/18/2016 14:21'.
		spec project: 'GTInspectorCore' with: '3.0'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-TudorGirba.119';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'PavelKrivanek 6/8/2016 10:03'!
version310: spec
	<version: '3.10' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.22 (case 17948)'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/28/2016 16:25'.
		spec project: 'GTInspectorCore' with: '3.14'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-DenisKudryashov.124';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 6/27/2016 12:09'!
version311: spec
	<version: '3.11' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit Version 3.23'.
		spec author: 'AndreiChis'.
		spec timestamp: '6/27/2016 12:09'.
		spec project: 'GTInspectorCore' with: '3.15'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AndreiChis.127';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'JurajKubelka 7/13/2016 10:06'!
version312: spec
	<version: '3.12' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Integration for case 18773.

Fixes these issues:
- case 18691
- case 18471
- case 18244
- case 18708

Apart from the issues:
- GT-InspectorExtensions: only show methods for the current class, added basic example for RBCondition
- Uses Pragma>>#methodSelector instead of Pragma>>#selector (case 18665).
- Uses Behavior>>#classLayout instead of Behavior>>#layout (case 16636).
- Uses CompiledMethod>>#sourceCode instead of CompiledMethod>>#getSource (case 18694).
- GT-EventRecorder: Add a basic recorder event'.
		spec author: 'JurajKubelka'.
		spec timestamp: '7/13/2016 10:06'.
		spec project: 'GTInspectorCore' with: '3.15'.
		spec 
			package: 'GT-Playground' with: 'a MCLazyVersionInfo(GT-Playground-TheIntegrator.130)';
			package: 'GT-Tests-Playground' with: 'a MCLazyVersionInfo(GT-Tests-Playground-StefanReichhart.4)'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 2/20/2016 00:11'!
version31: spec
	<version: '3.1' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.12'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/20/2016 00:11'.
		spec project: 'GTInspectorCore' with: '3.1'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-TudorGirba.119';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 2/23/2016 17:57'!
version32: spec
	<version: '3.2' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools version 3.13'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/23/2016 17:57'.
		spec project: 'GTInspectorCore' with: '3.2'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-TudorGirba.119';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 2/28/2016 12:11'!
version33: spec
	<version: '3.3' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.14'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/28/2016 12:11'.
		spec project: 'GTInspectorCore' with: '3.3'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AliakseiSyrel.122';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 3/17/2016 10:49'!
version34: spec
	<version: '3.4' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools Version 3.15'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/17/2016 10:49'.
		spec project: 'GTInspectorCore' with: '3.4'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AliakseiSyrel.122';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 3/23/2016 14:21'!
version35: spec
	<version: '3.5' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.16'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/23/2016 14:21'.
		spec project: 'GTInspectorCore' with: '3.5'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AliakseiSyrel.122';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 3/29/2016 23:44'!
version36: spec
	<version: '3.6' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.17'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/29/2016 23:44'.
		spec project: 'GTInspectorCore' with: '3.6'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AliakseiSyrel.123';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 4/8/2016 10:36'!
version37: spec
	<version: '3.7' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.18'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/8/2016 10:36'.
		spec project: 'GTInspectorCore' with: '3.7'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-AliakseiSyrel.123';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 4/14/2016 13:57'!
version38: spec
	<version: '3.8' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.19'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/14/2016 13:57'.
		spec project: 'GTInspectorCore' with: '3.8'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-DenisKudryashov.124';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !

!ConfigurationOfGTPlaygroundCore methodsFor: 'versions' stamp: 'AndreiChis 4/18/2016 22:57'!
version39: spec
	<version: '3.9' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.20 (case 18022)'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/18/2016 22:57'.
		spec project: 'GTInspectorCore' with: '3.9'.
		spec 
			package: 'GT-Playground' with: 'GT-Playground-DenisKudryashov.124';
			package: 'GT-Tests-Playground' with: 'GT-Tests-Playground-StefanReichhart.4'. ].
! !
